
#ifndef _BASE_STATS_HXX_
#define _BASE_STATS_HXX_ 1

#ifndef _MM_NO_IOSTREAM
#include <iostream>
#endif 

/*
 * statistics recorder
 */
class Counter {
	bool _fOverflow;
	unsigned _c;	/* number of bytes	*/
	unsigned _n;	/* number of calls	*/

	bool isOverflow() const { return _fOverflow; }
	void setOverflow() { _fOverflow=true; }
public:
	void sample(unsigned n);
	int c() const { return _c; }
      #ifndef _MM_NO_IOSTREAM
	friend std::ostream &operator<<(std::ostream&, const Counter &);
      #endif 

	Counter();
	~Counter();
};

#endif
